Subject: Re: linux-next: build failure after merge of the cgroup tree

From: Daniel Wagner <[email-masked]>
Date: Fri, 14 Sep 2012 08:56:29 +0200

Hi Stephen,

On 14.09.2012 05:17, Stephen Rothwell wrote:
> Hi Tejun,
>
> After merging the cgroup tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
>
> drivers/net/tun.c: In function 'tun_alloc_skb':
> drivers/net/tun.c:589:2: error: implicit declaration of function 'sock_update_classid' [-Werror=implicit-function-declaration]
>
> Caused by commit 1f66c0a8833c ("cgroup: net_cls: Move sock_update_classid()
> declaration to cls_cgroup.h").  Grep is your friend ...

Sorry about missing to update tun.c. I *swear* I used grep to search
for sock_update_classid() users. It is not the tool's fault when my
brain is not able to decode the things it wants to tell me.

> I have used the cgroup tree from next-20120913 for today.

Obviously, it is straight forward to fix this but I do not know what is 
the preferred solution. Shall I spin an updated version of this patch or 
add a patch on top of the series?

sorry again,
daniel